package cz.moneta.test.sandbox.demo;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.demo.SpiritRef;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;

@TestScenario(name = "HarnessDemoTest scenario used to validate initial setup")
public class HarnessDemoTest {

    @TestCase(name = "Summon the spirit of Count Dooku and make sure the spirit of Qui-Gon Jinn does not follow him")
    public void firstHarnessTest(Harness harness) {
        SpiritRef countDooku = harness.withDemo()
                .summonSpirit("Count Dooku");

        harness.withDemo()
                .verify()
                .thatWeAreInPresenceOf(countDooku)
                .thatThereIsNoSignOf("Qui-Gon Jinn");

        harness.withDemo()
                .expel(countDooku)
                .verify()
                .thatThereIsNoSignOf(countDooku);
    }
}
